{{- range $k,$v := .Values.deployment.volumes}}
{{- $name := printf "%s-%s" (include "utils.helmchart.name" $) $k}}
{{- with $v.pvc}}
{{- if not $v.volumeClaimTemplate}}
---
apiVersion: v1
kind: PersistentVolumeClaim
metadata:
  name: {{$name}}
  {{- with .labels}}
  labels: {{- toYaml . | nindent 4}}
  {{- end}}
  {{- with .annotations}}
  annotations: {{- toYaml . | nindent 4}}
  {{- end}}
spec:
  {{- .spec | toYaml | nindent 2}}
{{- end}}
{{- end}}
{{- end}}
